#ifndef EQUALIZERDLG_H
#define EQUALIZERDLG_H

#include "Tools/MenuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboboxXP.h"

/////////////////////////////////////////////////////////////////////////////
// CMyEqBar progressCtrl

class CMyEQBar : public CProgressCtrl {
        // Construction
    public:
        CMyEQBar();

        CDC memDC;
        CBitmap memBitmap;
        bool MemDCCreated;
        int width;
        int height;

        // Implementation
    protected:
        afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
        afx_msg void OnMouseMove(UINT nFlags, CPoint point);
        afx_msg void OnPaint();
        DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CEqualizerDlg dialog

class CEqualizerDlg : public CDialog {
        // Construction
    public:
        CEqualizerDlg(UINT id, CWnd *pParent = NULL);   // standard constructor
        ~CEqualizerDlg();
        CEqualizerDlg *getInstance(UINT id, CWnd *pParent = NULL);

        // Dialog Data
        enum {
            IDD = IDD_EQUALIZER_DIALOG
        };
        CButtonXP m_btn_Del;
        CButtonXP m_btn_Reset;
        CButtonXP m_savebutton;
        CComboBoxXP m_presetcombo;
        CButtonXP m_EnableEQCheckBox;
        CMyEQBar m_Slider[11];


        // Overrides
    protected:
        virtual void DoDataExchange(CDataExchange *pDX);  // DDX/DDV support

        // Implementation
    protected:
        afx_msg void OnButtonReset();
        virtual void OnCancel();
        afx_msg void OnClose();
        afx_msg void OnDel();
        afx_msg void OnEnableEqCheckbox();
        virtual BOOL OnInitDialog();
        virtual void OnOK() {
        };
        afx_msg void OnSave();
        afx_msg void OnSelChangeComboPreset();
        afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
        DECLARE_MESSAGE_MAP()
        DECLARE_MENUXP()
    public:
        void SaveWindowPosAndDestroy();
        void UpdateValues();
};

#endif