/* Copyright (C) 1996, MPEG Software Simulation Group. All Rights Reserved. */

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  The MPEG Software Simulation Group disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 * The MPEG Software Simulation Group does not represent or warrant that the
 * programs furnished hereunder are free of infringement of any third-party
 * patents.
 *
 * Commercial implementations of MPEG-1 and MPEG-2 video, including shareware,
 * are subject to royalty fees to patent holders.  Many of these patents are
 * general enough such that they are unavoidable regardless of implementation
 * design.
 *
 */
#include <windows.h>
#include <commctrl.h>
#include <stdio.h>
#include <ddraw.h>
#include <vfw.h>
#include <winreg.h>
#include <direct.h>
#include <io.h>
#include <fcntl.h>
#include <malloc.h>
#include <time.h>
#include "resource.h"

#define		bool	BOOL
#define		true	TRUE
#define		false	FALSE

typedef struct{
	bool					mmx;
	bool					_3dnow;
	bool					ssemmx;
	bool					ssefpu;
	bool					sse2;
} Cpu;
Cpu cpu;

__int64 RGB_Scale, RGB_Offset;
__int64 RGB_CBU = 0x000040D8000040D8;
__int64 RGB_CGX = 0xF3E9E611F3E9E611;
__int64 RGB_CRV = 0x0000330000003300;
int LumGamma = 0, LumOffset = 0;
